# Uses of Interface
org.eclipse.debug.core.model.IMemoryBlockRetrieval

Packages that use IMemoryBlockRetrieval
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.core.model
Defines interfaces for debug model elements, source lookup, and launching.

## Uses of IMemoryBlockRetrieval in org.eclipse.debug.core

Methods in org.eclipse.debug.core with parameters of type IMemoryBlockRetrieval
Modifier and Type
Method
Description
`IMemoryBlock[]`
IMemoryBlockManager.`getMemoryBlocks(IMemoryBlockRetrieval source)`
Returns all registered memory blocks that originated from the given memory retrieval source.

## Uses of IMemoryBlockRetrieval in org.eclipse.debug.core.model

Subinterfaces of IMemoryBlockRetrieval in org.eclipse.debug.core.model
Modifier and Type
Interface
Description
`interface`
`IDebugTarget`
A debug target is a debuggable execution context.
`interface`
`IMemoryBlockRetrievalExtension`
Extended capabilities for memory block retrieval.
Methods in org.eclipse.debug.core.model that return IMemoryBlockRetrieval
Modifier and Type
Method
Description
`IMemoryBlockRetrieval`
IMemoryBlockExtension.`getMemoryBlockRetrieval()`
Returns the origin of this memory block.